### Method

# Gtk Widgetcreate_pango_context

#### Declaration [src]

    PangoContext*
    gtk_widget_create_pango_context (
      GtkWidget* widget
    )

#### Description [src]

Creates a new `PangoContext` with the appropriate font map, font options, font description, and base direction for drawing text for this widget.

See also `gtk_widget_get_pango_context()`.

#### Return value

Type: `PangoContext`

The new `PangoContext`

The caller of the method takes ownership of the data, and is responsible for freeing it.